Bug 111988 - README and Download page System requirements are wrong for OSX - states 10.8 supported, but requires minimum 10.9
Summary: README and Download page System requirements are wrong for OSX - states 10.8 ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.5
Keywords:
Depends on:
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2017-08-23 17:34 UTC by Andrew Brennan
Modified: 2018-05-30 18:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Brennan 2017-08-23 17:34:09 UTC
The README file within the .dmg states that "* MacOSX 10.8 (Mountain Lion) or higher" is required, but the LibreOffice app needs 10.9 to launch (according to my system running OSX 10.8.5).
Comment 1 Alex Thurgood 2017-08-25 06:56:03 UTC
@cloph : I thought we still produced builds that ran on 10.8 ? Or did we recently change that ?
Comment 2 timorychert 2017-08-31 18:46:53 UTC
I have the same issue. I somehow hope the problem is *not* with the README, but with the build instead and that the build is actually still supposed to work with OSX 10.8.5.
Comment 3 Alex Thurgood 2017-09-04 07:20:16 UTC
Two separate reports - confirming
Comment 4 Alex Thurgood 2017-09-04 07:34:22 UTC
See also the release notes :

https://wiki.documentfoundation.org/ReleaseNotes/5.4


in which it states that the next release requires OSX 10.9 as a minimum. 

However, this doesn't seem to appear on the download page : 10.8 or newer required
Comment 5 timorychert 2017-09-12 20:32:37 UTC
Also, there is the little "LibreOffice update available" icon popping up in the menu bar, which probably should not happen, if there is no compatible update. Else everyone will go ahead, download the new version, just to find out, that it is not supported.
Comment 6 boukman 2017-09-30 21:32:00 UTC
I looked at the release notes and for this line in the revision history, there is a note that says "add platform compatibility, mac os x 10.8 support will be removed in 5.5" (dated 2017-04-13T15:14:31‎).  The French version of the release notes also states more explicitly that version 6.0 will require Mac OS X version 10.9, so I believe that the build system is wrong and that this bug "Component" should be reclassified (not a "Documentation" bug but a build system bug).  LO version 5.4 should indeed be available for Mac OS X 10.8.
Comment 7 zoriojh 2017-10-21 21:26:56 UTC
How can we make this matter advance?
The previous post suggesting the bug be reclassified as "build system bug" instead of "documentation bug" didn't receive any reply.
What now?
Comment 8 zoriojh 2018-02-12 13:43:59 UTC
We are now at version 5.4.5.1 and the matter didn't receive ANY reply.
It doesn't seem overly complex to correct the build process in order to have OS X 10.8 included in the targets.
Remember that it's the last version supposed to work with 10.8, so it's particularly important that the announced requirements are followed.
Comment 9 Alex Thurgood 2018-02-12 16:07:48 UTC
https://wiki.documentfoundation.org/ReleaseNotes/5.4

under Mac

it states that 10.8 "is deprecated and the next release will require at least Mac OS X 10.9"

That could be intepreted to mean that 5.4.5 is the next release, and therefor does not include support for 10.8.
Comment 10 Tor Lillqvist 2018-05-22 12:43:34 UTC
More recent release notes say 10.9, like https://wiki.documentfoundation.org/ReleaseNotes/6.0 . Can this be closed? Do we still claim 10.8 anywhere?
Comment 11 Xisco Faulí 2018-05-30 10:28:35 UTC
I've downloaded the latest master build and the README file in the .dmg states:

System Requirements
----------------------------------------------------------------------

* MacOSX 10.8 (Mountain Lion) or higher
Comment 12 Xisco Faulí 2018-05-30 10:29:45 UTC
I guess this should be changed accordingly here -> https://opengrok.libreoffice.org/xref/core/readlicense_oo/docs/readme.xrm#37
Comment 13 Xisco Faulí 2018-05-30 10:36:09 UTC
Patch submitted to gerrit: https://gerrit.libreoffice.org/#/c/55061/
Comment 14 Commit Notification 2018-05-30 17:29:53 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=272577e68abe764ab05fe227e3cd7d185c59a900

tdf#111988 Bump OSX version in README

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2018-05-30 17:34:20 UTC
Cherry-picked to 6-1 and 6-0
Comment 16 Commit Notification 2018-05-30 18:12:22 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f36ee4afb97ff61c65e197876767bfb6d80c07cc&h=libreoffice-6-1

tdf#111988 Bump OSX version in README

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-05-30 18:13:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59fd3e52a2d213f6858b83d36c99b1a970ef0835&h=libreoffice-6-0

tdf#111988 Bump OSX version in README

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.